{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

     <!-- Logo -->
    <link rel="icon" href="{% static 'image/logo.svg' %}">



    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

    <!-- My CSS-->
    <link rel="stylesheet" href="{% static 'css/feedback.css' %}">

    <!-- Bootstrap JS -->
   <!--  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
 -->
    <!-- Fengyuan Chen's Datepicker -->
   <!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datepicker/0.6.5/datepicker.min.css" integrity="sha256-b88RdwbRJEzRx95nCuuva+hO5ExvXXnpX+78h8DjyOE=" crossorigin="anonymous" />
   -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title>Feedback</title>
</head>
<body>
    <nav class="navbar navbar-expand-xl navbar-light bg-transparent">
        <a class="navbar-brand" href="{% url 'index' %}">DUAR</a>
        <button class="navbar-dark navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav">
          <span class="navbar-dark navbar-toggler-icon"></span>
        </button>
        <div class="navbar-collapse collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link" href="{% url 'kuesioner' %}">Assesment</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url "articles" %}">Articles</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'support' %}">Support</a>
              </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url "feedback" %}">Feedback</a>
              </li>
             <li class="nav-item">
                <a class="nav-link" href="{% url "contact" %}">Contact</a>
              </li>
              {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'logout_page' %}"><button class="btn-logout">Logout</button></a>
                    </li>
              {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login_page' %}"><button class="btn-logout">Login</button></a>
                    </li>
              {% endif %}
          </ul>
        </div>
      </nav>
    {% block content %}
    {% endblock %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
  function myFunction(id){
    if(document.contains(document.getElementById("newform"))){
      document.getElementById("newform").remove();
    }
    var a = document.getElementById(id);
    a.insertAdjacentHTML('afterend',
      '<form id="newform" class="form-insert py-2" method="post" autocomplete="off"> \
      <div><h2>Reply:</h2></div> \
      <label for="id_user">Name:</label> \
      <input type="text" name="user" class="form-control" maxlength="35" id="id_user" placeholder="Your Name" default=user.username required="true">\
      <select name="parent" class="d-none" id="id_parent"> \
      <option value=" ' + id + '" selected=" ' + id + '"></option> \
      </select> \
      <br> \
      <label for="id_body">Feedback:</label> \
      <textarea name="body" class="form-control" required="true" id="id_body" placeholder="Type your reply"></textarea> \
      {% csrf_token %} \
      <br> \
      <button class="btn btn-primary btn-md" type="submit">Submit</button> \
      </form>'
      );
  }
  $('#myform').trigger("reset");
</script>

<script type="text/javascript" src="{% static 'js/feedback.js' %}"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.min.js" integrity="sha384-w1Q4orYjBQndcko6MimVbzY0tgp4pWB4lZ7lr30WKz0vr/aWKhXdBNmNb5D92v7s" crossorigin="anonymous"></script>



</body>
</html>